summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2019-10-21 18:41:55 +0200
committerCarl Hetherington <cth@carlh.net>2019-10-21 18:41:55 +0200
commit231644e75f537342c3442c03a3cd5ef34bfa25ec (patch)
tree0cc6ccfe222d4c1db8ee712ca07d2d87c3928ad1
parent74d4cd23df7460cf1d0e91fd7a37fa3333741887 (diff)
Tweak error handling in make_osx.
-rw-r--r--platform/osx/make_dmg.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/platform/osx/make_dmg.sh b/platform/osx/make_dmg.sh
index 93cbd077f..f5124f2e9 100644
--- a/platform/osx/make_dmg.sh
+++ b/platform/osx/make_dmg.sh
@@ -314,7 +314,6 @@ EOF
chmod -Rf go-w /Volumes/"$vol_name"/"$appdir"
sync
- set -e
hdiutil eject $device
hdiutil convert -format UDZO $tmp_dmg -imagekey zlib-level=9 -o "$dmg"
sips -i "$appdir/Contents/Resources/dcpomatic2.icns"
@@ -322,6 +321,8 @@ EOF
Rez -append "$appdir/Contents/Resources/DCP-o-matic.rsrc" -o "$dmg"
SetFile -a C "$dmg"
xattr -c "$dmg"
+
+ set -e
codesign --verify --verbose --sign "Developer ID Application: Carl Hetherington (R82DXSR997)" "$dmg"
id=$(xcrun altool --notarize-app -t osx -f "$dmg" --primary-bundle-id $bundle_id -u $APPLE_ID -p $APPLE_PASSWORD --output-format xml | grep -C1 RequestUUID | tail -n 1 | sed -e "s/<string>//g" | sed -e "s/<\/string>//g")